function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 92);

T = JEEM2015.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(34) = 1/params(39)*getPowerDeriv(y(11)/params(39),params(13),1);
T(35) = T(29)*T(34);
T(36) = getPowerDeriv(T(5),1-params(32),1);
T(37) = getPowerDeriv(T(5),(-params(32)),1);
T(38) = (-(T(31)*T(37)))/(T(6)*T(6));
T(39) = (-1)/(y(13)*y(13));
T(40) = getPowerDeriv(T(8),(-params(32)),1);
T(41) = params(1)*T(40)/T(6);
T(42) = (-1)/(y(14)*y(14));
T(43) = (-y(16))/(y(4)*y(4));
T(44) = 2*(y(16)/y(4)-1);
T(45) = T(1)*T(43)*T(44);
T(46) = (-T(45));
T(47) = T(46)-(y(4)*y(16)*params(4)*T(43)-y(16)*params(4)*(y(16)/y(4)-1))/(y(4)*y(4));
T(48) = 1/y(4);
T(49) = T(1)*T(44)*T(48);
T(50) = (-T(49));
T(51) = params(4)*(y(16)/y(4)-1)+y(16)*params(4)*T(48);
T(52) = (-y(45))/(y(16)*y(16));
T(53) = 2*y(45)/y(16);
T(54) = T(52)*T(53);
T(55) = params(4)*T(52);
T(56) = 1/y(16);
T(57) = T(53)*T(56);
T(58) = y(52)*T(32)*params(4)*T(56);
T(59) = getPowerDeriv(y(36)*y(5),params(5),1);
T(60) = getPowerDeriv(y(36)*y(5),params(5)-1,1);
T(61) = (-((-(y(37)*y(53)))/(y(17)*y(17))));
T(62) = (-(params(2)*getPowerDeriv(y(18),1+params(3),1)/(1+params(3))));
T(63) = (-(T(31)*T(37)*T(62)))/(T(6)*T(6));
T(64) = (-params(2))*getPowerDeriv(y(18),params(3),1);
T(65) = getPowerDeriv(y(18),1-params(5),1);
T(66) = getPowerDeriv(y(18),(-params(5)),1);
T(67) = (-(params(2)*getPowerDeriv(y(46),1+params(3),1)/(1+params(3))));
T(68) = params(1)*T(40)*T(67);
T(69) = T(68)/T(6);
T(70) = (-(params(17)/(params(17)-1)/y(29)));
T(71) = params(7)*getPowerDeriv(y(30),params(17),1);
T(72) = (-1)/(y(50)*y(50));
T(73) = params(1)*params(7)*getPowerDeriv(y(50),params(17),1);
T(74) = params(1)*params(7)*getPowerDeriv(y(50),params(17)-1,1);
T(75) = getPowerDeriv(y(50),params(12),1);
T(76) = params(8)*getPowerDeriv(y(34),params(9),1);
T(77) = params(23)*getPowerDeriv(y(36),params(24),1)/params(24);
T(78) = getPowerDeriv(y(36),params(24)-1,1);
T(79) = (-(y(53)/y(17)));
T(80) = (-(y(37)/y(17)));
T(81) = (-(T(4)/(1+params(33))));
T(82) = (-(T(7)/(1+params(33))));
T(83) = params(1)*T(40)*T(82);
T(84) = T(37)*T(81);
T(85) = (T(6)*T(83)-T(31)*T(84))/(T(6)*T(6));
T(86) = getPowerDeriv(y(10),1+params(33),1);
T(87) = (-(y(41)*T(86)/(1+params(33))));
T(88) = (-(T(31)*T(37)*T(87)))/(T(6)*T(6));
T(89) = getPowerDeriv(y(43),1+params(33),1);
T(90) = (-(y(41)*T(89)/(1+params(33))));
T(91) = params(1)*T(40)*T(90);
T(92) = T(91)/T(6);

end
