function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = JEEM2015.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(33, 1);
    residual(1) = (y(43)/y(27)) - (params(40));
    residual(2) = (y(40)) - (T(5)^(1-params(32))/(1-params(32))+params(1)*y(54));
    residual(3) = (y(39)) - (params(21)*y(36)^params(22)/params(22));
    residual(4) = (y(38)) - (T(10)*y(5));
    residual(5) = (params(21)*y(36)^(params(22)-1)+params(23)*y(37)*T(11)) - (y(23));
    residual(6) = (1/y(22)) - (T(12)*T(32));
    residual(7) = ((-(T(6)*T(9)))) - (T(6)*y(25));
    residual(8) = (T(13)*T(32)) - (y(32));
    residual(9) = (1) - (y(32)*T(27)+T(14)*T(33));
    residual(10) = (y(17)) - (y(5)*(1-y(39))+y(16)*T(26));
    residual(11) = (y(11)) - (y(16)+y(13)+y(15));
    residual(12) = (y(27)) - (y(38)*y(37)+y(11)+y(27)*T(15)*y(14)+y(4)*T(2));
    residual(13) = (y(27)) - (T(18)*T(17)*T(16)*y(12)*T(28));
    residual(14) = (y(19)*T(19)*T(16)*y(12)*(1-params(5))*T(28)) - (y(25));
    residual(15) = (y(19)*T(17)*T(20)*y(12)*params(5)*T(28)) - (y(23));
    residual(16) = (params(6)*y(42)) - (params(8)*params(9)*y(34)^(params(9)-1));
    residual(17) = (y(21)) - (params(17)/(params(17)-1)*(y(26)+y(31))/y(29));
    residual(18) = (y(26)) - (y(27)*y(19)*T(21)+T(22)*y(48));
    residual(19) = (y(29)) - (y(27)*T(21)+T(23)*y(49));
    residual(20) = (y(31)) - (y(27)*T(21)*(T(15)+params(6)*y(42)*(1-y(34)))+T(22)*y(51));
    residual(21) = (1) - (params(7)*y(30)^(params(17)-1)+(1-params(7))*y(21)^(1-params(17)));
    residual(22) = (y(14)) - ((1-params(7))*y(21)^(-params(17))+T(24)*y(2));
    residual(23) = (y(20)) - (params(6)*y(42)*(1-y(34))+T(15)+y(19));
    residual(24) = (y(43)) - (y(14)*y(27)*params(6)*(1-y(34))+y(38)*params(36));
    residual(25) = (y(33)) - (y(43)+(1-params(11))*y(7)+params(10));
    residual(26) = (y(35)) - (y(27)*T(15)*y(14));
    residual(27) = (y(24)+y(43)*y(42)) - (y(15));
    residual(28) = (params(1)*y(22)) - (y(28)*T(30));
    residual(29) = (log(y(12))) - ((1-params(14))*log(params(25))+params(14)*log(y(1))+x(it_, 1));
    residual(30) = (log(y(28))) - ((1-params(16))*log(params(27))+params(16)*log(y(6))+x(it_, 3));
    residual(31) = (log(y(15))) - ((1-params(15))*log(params(26))+params(15)*log(y(3))+x(it_, 2));
    residual(32) = (log(y(37))) - ((1-params(31))*log(params(30))+params(31)*log(y(8))+x(it_, 4));
    residual(33) = (log(y(41))) - ((1-params(35))*log(params(34))+params(35)*log(y(9))+x(it_, 5));

end
