function g1 = static_g1(T, y, x, params, T_flag)
% function g1 = static_g1(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = JEEM2015.static_g1_tt(T, y, x, params);
end
g1 = zeros(33, 33);
g1(1,17)=(-y(33))/(y(17)*y(17));
g1(1,33)=1/y(17);
g1(2,3)=(-(T(21)/(1-params(32))));
g1(2,8)=(-(T(21)*T(25)/(1-params(32))));
g1(2,30)=1-params(1);
g1(2,31)=(-(T(21)*(-(T(1)/(1+params(33))))/(1-params(32))));
g1(2,33)=(-(T(21)*T(32)/(1-params(32))));
g1(3,26)=(-(params(21)*getPowerDeriv(y(26),params(22),1)/params(22)));
g1(3,29)=1;
g1(4,7)=(-T(5));
g1(4,26)=(-(y(7)*params(23)*getPowerDeriv(y(26),params(24),1)/params(24)));
g1(4,28)=1;
g1(5,13)=(-1);
g1(5,26)=params(21)*getPowerDeriv(y(26),params(22)-1,1)+params(23)*y(27)*getPowerDeriv(y(26),params(24)-1,1);
g1(5,27)=params(23)*T(6);
g1(6,12)=(-1)/(y(12)*y(12));
g1(6,20)=(-(params(1)*(-1)/(y(20)*y(20))));
g1(7,3)=(-(T(4)*T(22)))-y(15)*T(22);
g1(7,8)=(-(T(4)*T(22)*T(25)+T(3)*(-params(2))*getPowerDeriv(y(8),params(3),1)))-y(15)*T(22)*T(25);
g1(7,15)=(-T(3));
g1(7,31)=(-(T(4)*T(22)*(-(T(1)/(1+params(33))))))-y(15)*T(22)*(-(T(1)/(1+params(33))));
g1(7,33)=(-(T(4)*T(22)*T(32)))-y(15)*T(22)*T(32);
g1(8,7)=params(1)*(-((-(y(28)*y(27)))/(y(7)*y(7))));
g1(8,13)=params(1);
g1(8,22)=params(1)*(1-y(29))-1;
g1(8,27)=params(1)*(-(y(28)/y(7)));
g1(8,28)=params(1)*(-(y(27)/y(7)));
g1(8,29)=params(1)*(-y(22));
g1(9,22)=(-1);
g1(10,6)=(-1);
g1(10,7)=1-(1-y(29));
g1(10,29)=y(7);
g1(11,1)=1;
g1(11,3)=(-1);
g1(11,5)=(-1);
g1(11,6)=(-1);
g1(12,1)=(-1);
g1(12,4)=(-(y(17)*T(7)));
g1(12,17)=1-T(7)*y(4);
g1(12,24)=(-(y(4)*y(17)*T(31)));
g1(12,27)=(-y(28));
g1(12,28)=(-y(27));
g1(13,2)=(-(T(8)*T(9)*T(10)*T(11)));
g1(13,4)=(-(T(9)*T(10)*y(2)*T(11)*(-1)/(y(4)*y(4))));
g1(13,7)=(-(T(8)*T(9)*y(2)*T(11)*y(26)*T(23)));
g1(13,8)=(-(T(8)*T(10)*y(2)*T(11)*T(26)));
g1(13,17)=1;
g1(13,23)=(-(T(8)*T(9)*T(10)*y(2)*(-(params(19)+params(20)*2*y(23)))));
g1(13,26)=(-(T(8)*T(9)*y(2)*T(11)*y(7)*T(23)));
g1(14,2)=y(9)*T(12)*T(10)*(1-params(5))*T(11);
g1(14,7)=y(9)*T(12)*y(2)*(1-params(5))*T(11)*y(26)*T(23);
g1(14,8)=y(9)*T(10)*y(2)*(1-params(5))*T(11)*getPowerDeriv(y(8),(-params(5)),1);
g1(14,9)=T(12)*T(10)*y(2)*(1-params(5))*T(11);
g1(14,15)=(-1);
g1(14,23)=y(9)*T(12)*T(10)*y(2)*(1-params(5))*(-(params(19)+params(20)*2*y(23)));
g1(14,26)=y(9)*T(12)*y(2)*(1-params(5))*T(11)*y(7)*T(23);
g1(15,2)=y(9)*T(9)*T(13)*params(5)*T(11);
g1(15,7)=y(9)*T(9)*y(2)*params(5)*T(11)*y(26)*T(24);
g1(15,8)=y(9)*T(13)*y(2)*params(5)*T(11)*T(26);
g1(15,9)=T(9)*T(13)*y(2)*params(5)*T(11);
g1(15,13)=(-1);
g1(15,23)=y(9)*T(9)*T(13)*y(2)*params(5)*(-(params(19)+params(20)*2*y(23)));
g1(15,26)=y(9)*T(9)*y(2)*params(5)*T(11)*y(7)*T(24);
g1(16,24)=(-(params(8)*params(9)*getPowerDeriv(y(24),params(9)-1,1)));
g1(16,32)=params(6);
g1(17,11)=1;
g1(17,16)=T(27);
g1(17,19)=(-((-(params(17)/(params(17)-1)*(y(16)+y(21))))/(y(19)*y(19))));
g1(17,21)=T(27);
g1(18,3)=(-(y(17)*y(9)*(-1)/(y(3)*y(3))));
g1(18,9)=(-(y(17)*T(14)));
g1(18,16)=1-T(16);
g1(18,17)=(-(y(9)*T(14)));
g1(18,20)=(-(y(16)*T(29)));
g1(19,3)=(-(y(17)*(-1)/(y(3)*y(3))));
g1(19,17)=(-T(14));
g1(19,19)=1-params(1)*params(7)*T(17);
g1(19,20)=(-(y(19)*params(1)*params(7)*T(30)));
g1(20,3)=(-(y(17)*(T(7)+params(6)*y(32)*(1-y(24)))*(-1)/(y(3)*y(3))));
g1(20,17)=(-(T(14)*(T(7)+params(6)*y(32)*(1-y(24)))));
g1(20,20)=(-(y(21)*T(29)));
g1(20,21)=1-T(16);
g1(20,24)=(-(y(17)*T(14)*(T(31)+params(6)*(-y(32)))));
g1(20,32)=(-(y(17)*T(14)*params(6)*(1-y(24))));
g1(21,11)=(-((1-params(7))*getPowerDeriv(y(11),1-params(17),1)));
g1(21,20)=(-(params(7)*T(30)));
g1(22,4)=1-params(7)*T(15);
g1(22,11)=(-((1-params(7))*getPowerDeriv(y(11),(-params(17)),1)));
g1(22,20)=(-(y(4)*params(7)*T(28)));
g1(23,9)=(-1);
g1(23,10)=1;
g1(23,24)=(-(T(31)+params(6)*(-y(32))));
g1(23,32)=(-(params(6)*(1-y(24))));
g1(24,4)=(-(y(17)*params(6)*(1-y(24))));
g1(24,17)=(-(y(4)*params(6)*(1-y(24))));
g1(24,24)=(-(y(4)*y(17)*(-params(6))));
g1(24,28)=(-params(36));
g1(24,33)=1;
g1(25,23)=1-(1-params(11));
g1(25,33)=(-1);
g1(26,4)=(-(y(17)*T(7)));
g1(26,17)=(-(T(7)*y(4)));
g1(26,24)=(-(y(4)*y(17)*T(31)));
g1(26,25)=1;
g1(27,5)=(-1);
g1(27,14)=1;
g1(27,32)=y(33);
g1(27,33)=y(32);
g1(28,1)=(-(y(18)*T(19)*1/params(39)*getPowerDeriv(y(1)/params(39),params(13),1)));
g1(28,12)=params(1);
g1(28,18)=(-T(20));
g1(28,20)=(-(y(18)*T(18)*getPowerDeriv(y(20),params(12),1)));
g1(29,2)=1/y(2)-params(14)*1/y(2);
g1(30,18)=1/y(18)-params(16)*1/y(18);
g1(31,5)=1/y(5)-params(15)*1/y(5);
g1(32,27)=1/y(27)-params(31)*1/y(27);
g1(33,31)=1/y(31)-params(35)*1/y(31);

end
