function[ys,params,check]  = JEEM2015_steadystate(ys,exo,M_,options_)

beta=NaN; %make parameter known to Matlab function, prevents crashes due to Matlab function with same name;
          %will be overwritten next
          
NumberOfParameters = M_.param_nbr;
for ii = 1:NumberOfParameters
  paramname = M_.param_names{ii};
  eval([ paramname ' = M_.params(' int2str(ii) ');']);
end
% initialize indicator
check = 0;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
pz = pz_ss;
pE = pE_ss;
Pi = 1;
pstar = 1;
Dp = 1;
R = 1/bbeta;
q = 1;
A = A_ss;
U = (varphi*pz/phi1/phi2)^(1/(phi2-1));
MC = (theta-1)/theta;
Psi = MC - (phi1*U^phi2 + pz*(1-U)*varphi);
options = optimset('Display', 'off');
para = [aalpha,bbeta, Psi, ...
    gamma0, gamma1, gamma2, varphi, phi, phi1, phi2, pz, Zstar,...
    deltaM, A, muL, nu0, nu1, pE, varphiE, om0, om1];
x0 = [0.75, 1];
xstar = fsolve(@(x) find_L_noFA(x, para), x0, options);
Y = xstar(1);
u = xstar(2);
deltaK = om0*u^om1/om1;
rk = 1/bbeta*(1 - bbeta*(1-deltaK) + pE*nu0*u^nu1/nu1);

K = Psi*aalpha*Y/rk/u;
E = nu0*u^nu1/nu1*K;

Z = (1-U)*varphi*Y*Dp + varphiE*E;
M = (Z + Zstar)/deltaM;
Upsilon = gamma0 + gamma1*M + gamma2*M^2;
L = (Y*(u*K)^(-aalpha)/(1-Upsilon)/A)^(1/(1-aalpha));

G = 0.223*Y;
I = deltaK*K;
C = Y - (I + G + phi1*U^phi2*Y+pE*E);
GDP  = C + I + G  ;
lambda = 1/C;

w = (1-aalpha)*(1-Upsilon)*A*(u*K)^aalpha*L^-aalpha*Psi;
CA = phi1*U^phi2*Y*Dp;
T = G - pz*Z;
X = (1/(1 - nu*bbeta))*Y*Psi/C;
Theta = (1/(1 - nu*bbeta))*Y/C;
Omega = (1/(1 - nu*bbeta))*(phi1*U^phi2 + pz*(1-U)*varphi)*Y/C;
eta = eta_ss;
pE = pE_ss;
muM = muM_ss;


% V = (C^(1-sigC)/(1-sigC)*exp(muL*(sigC-1)/(1+phi)*L^(1+phi))*exp(muM*(sigC-1)/(1+phiM)*Z^(1+phiM)))/(1-bbeta);
%V = (C^(1-sigC)/(1-sigC) - muL*L^(1+phi)/(1+phi)- muM*Z^(1+phiM)/(1+phiM))/(1- bbeta);
 V = (C - muL*L^(1+phi)/(1+phi)- muM*Z^(1+phiM)/(1+phiM))^(1-sigC)/(1-sigC)/(1- bbeta);
% utility = (C - muL*L^(1+phi)/(1+phi)- muM*Z^(1+phiM)/(1+phiM))^(1-sigC)/(1-sigC);
% log(G) - (1-rho_G)*log(G_ss) - rho_G*log(G) 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params=NaN(NumberOfParameters,1);
for iter = 1:length(M_.params) %update parameters set in the file
  eval([ 'params(' num2str(iter) ') = ' M_.param_names{iter} ';' ])
end

NumberOfEndogenousVariables = M_.orig_endo_nbr; %auxiliary variables are set automatically
for ii = 1:NumberOfEndogenousVariables
  varname = M_.endo_names{ii};
  eval(['ys(' int2str(ii) ') = ' varname ';']);
end
