function [e,w] = find_L_noFA(xstar, para)

Y = xstar(1);
u = xstar(2);

aalpha = para(1);
% deltaK = para(2);
bbeta = para(2);
Psi = para(3);
gamma0 = para(4);
gamma1 = para(5);
gamma2 = para(6);
varphi = para(7);
phi = para(8);
phi1 = para(9);
phi2 = para(10);
pz = para(11);
Zstar = para(12);
deltaM = para(13);
A = para(14);
muL = para(15);
nu0 = para(16);
nu1 = para(17);
pE = para(18);
varphiE = para(19);
om0 = para(20);
om1 = para(21);

Dp = 1;

deltaK = om0*u^om1/om1;
rk = 1/bbeta*(1 - bbeta*(1-deltaK) + pE*nu0*u^nu1/nu1);
K = Psi*aalpha*Y/rk/u;
U = (varphi*pz/phi1/phi2)^(1/(phi2-1));
E = nu0*u^nu1/nu1*K;
Z = (1-U)*varphi*Y*Dp + varphiE*E;
M = (Z + Zstar)/deltaM;
Upsilon = gamma0 + gamma1*M + gamma2*M^2;
L = (Y*(u*K)^(-aalpha)/(1-Upsilon)/A)^(1/(1-aalpha));

G = 0.222*Y;
I = deltaK*K;
C = Y - (I + G + phi1*U^phi2*Y + pE*E);
lambda = 1/C;

w1 = (1-aalpha)*(1-Upsilon)*A*(u*K)^aalpha*L^-aalpha*Psi;
w2 = (muL*L^phi);

e1 = om0*u^(om1-1) + pE*(nu0*u^(nu1-1)) - rk;
e2 = w1 - w2;

e = [e1,e2];


